Subject: bug#27350: #27350 25.2; Make `inhibit-compacting-font-caches' customizable

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jun 2017 21:23:28 +0300

> From: "Felix E. Klee" <[email-masked]>
> Date: Thu, 15 Jun 2017 18:23:44 +0200
> Cc: [email-masked]
> 
> On Thu, Jun 15, 2017 at 6:01 PM, Eli Zaretskii <[email-masked]> wrote:
> > Even if you shrink the window so that only Latin characters are
> > visible?
> 
> That does the trick. Fonts that are unproblematic:
> 
>   -- -outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1
> 
>   -- -outline-Symbola-normal-normal-normal-serif-13-*-*-*-p-*-iso10646-1
> 
>   -- -outline-BatangChe-normal-normal-normal-mono-13-*-*-*-c-*-gb2312.1980-0
> 
> Fonts that cause a slow-down:
> 
>   -- -outline-MingLiU-normal-normal-normal-mono-13-*-*-*-c-*-iso10646-1
> 
>   -- -outline-MS Gothic-normal-normal-normal-mono-13-*-*-*-c-*-jisx0208*-*

Right.

> >   emacs -Q -fn "Arial Unicode MS"
> 
> Indeed that makes the problem go away. Still it’s not a solution as I
> prefer the other fonts, and I don’t see why they should be avoided.

I didn't mean to suggest that this is the solution, just make sure
that it isn't the characters themselves that cause this, it's the
fonts used to display them.